
import Koa from 'koa';
import Concat from './middle-ware/concat/index';
import koaStatic from "koa2-static";

class CabinDevServer {
    constructor(options) {
        this.options = options;
        this.init();
        this.init.bind(this);
        this.start.bind(this);
        this.stop.bind(this);
    }

    init() {
        this.app = new Koa();
        const concat = new Concat({'staticPath': this.options.staticPath});
        this.app.use(concat.init);
        this.app.use(koaStatic({
            'path': '',
            'root': this.options.staticPath + '/'
        }));
        this.app.use(async ctx => {
            ctx.body = 'resource not found';
        });

    }

    start() {
        this.app.listen(this.options.port);
        console.log('[cabin] server start at port:' + this.options.port);
    }

    stop() {
        this.app.stop();
        console.log('[cabin] server stopped');
    }
}
exports.CabinDevServer=CabinDevServer